﻿#language: ru

@OrdersConfirmation

Функционал: 008. OrdersConfirmation. Создание заказов на перемещение - загрузка

Сценарий: 008.1. OrdersConfirmation. Создание заказов на перемещение - загрузка

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2ЗаказНаПеремещение" без контроля ссылок
	И Я загружаю заказы на перемещение из файла

Сценарий: 008.2. OrdersConfirmation. Установка этапа в заказе на перемещение от Сырная ГП в Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель' | 'Состояние' |
		| '18.10.2020' | 'Организация' | '18.10.2020' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Куриная ГП' | 'Создан'    |
	И Я устанавливаю этап для заказа на перемещение

Сценарий: 008.3. OrdersConfirmation. Установка этапа в заказе на перемещение от Сырная ГП в Склад готовой продукции
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель'              | 'Состояние' |
		| '18.10.2020' | 'Организация' | '18.10.2020' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Склад готовой продукции' | 'Создан'    |
	И Я устанавливаю этап для заказа на перемещение

Сценарий: 008.4. OrdersConfirmation. Установка этапа в заказе на перемещение от Куриная ГП в Сырная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель' | 'Состояние' |
		| '18.10.2020' | 'Организация' | '18.10.2020' | 'Куриная ГП'  | 'Подразделение приемки заказов' | 'Сырная ГП'  | 'Создан'    |
	И Я устанавливаю этап для заказа на перемещение

Сценарий: 008.5. OrdersConfirmation. Завершение

	И Я закрыл все окна клиентского приложения